version: "3.7"        # compose版本号
services:
  b61:                            # 单个服务标识(名字)
    container_name: lcc-wn-1        # 启动后的容器名称 相当于 --name 指定的名称
    image: lccwn:0.1.0             # 镜像
    restart: "on-failure"
    deploy:
      resources:
        limits:
          cpus: '1'
          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
    environment:
      -  work_dir=1
  b62:                            # 单个服务标识(名字)
    container_name: lcc-wn-2        # 启动后的容器名称 相当于 --name 指定的名称
    image: lccwn:0.1.0             # 镜像
    restart: "on-failure"
    deploy:
      resources:
        limits:
          cpus: '1'
          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
    environment:
      - work_dir=2
#  b63: # 单个服务标识(名字)
#    container_name: lcc-py-wn-3        # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=3
#  b64: # 单个服务标识(名字)
#    container_name: lcc-py-wn-4       # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=4
#  b65: # 单个服务标识(名字)
#    container_name: lcc-py-wn-5       # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=4
#  b66: # 单个服务标识(名字)
#    container_name: lcc-py-wn-6       # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=4
#  b67: # 单个服务标识(名字)
#    container_name: lcc-py-wn-7       # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=4
#  b64: # 单个服务标识(名字)
#    container_name: lcc-py-wn-4       # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=4
#  b64: # 单个服务标识(名字)
#    container_name: lcc-py-wn-4       # 启动后的容器名称 相当于 --name 指定的名称
#    image: lccwn:0.1.0            # 镜像
#    restart: "on-failure"
#    deploy:
#      resources:
#        limits:
#          cpus: '1'
#          memory: 1G
#    volumes:
#      - /data/log/lcc-wn/:/data/log/lcc-wn/
#    environment:
#      - work_dir=4
